## ide-editor-surface ide-editor-surface |

## Functions

IdeSurface * | ide_editor_surface_new ()
void | ide_editor_surface_focus_buffer ()
void | ide_editor_surface_focus_buffer_in_current_stack ()
void | ide_editor_surface_focus_location ()
IdePage * | ide_editor_surface_get_active_page ()
IdeGrid * | ide_editor_surface_get_grid ()
IdeEditorSidebar * | ide_editor_surface_get_sidebar ()
IdeTransientSidebar * | ide_editor_surface_get_transient_sidebar ()
GtkWidget * | ide_editor_surface_get_utilities ()
GtkWidget * | ide_editor_surface_get_overlay ()

## Properties

gboolean | restore-panel | Read / Write / Construct

## Types and Values

#define | IDE_TYPE_EDITOR_SURFACE
| IdeEditorSurface

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── DzlDockBin
                        ╰── IdeSurface
                            ╰── IdeEditorSurface

## Implemented Interfaces

IdeEditorSurface implements AtkImplementorIface, GtkBuildable, DzlDockItem and DzlDock.

## Description

## Functions

### ide_editor_surface_new ()

    IdeSurface *
    ide_editor_surface_new (void);

#### Returns

Creates a new IdeEditorSurface.

[transfer full]

Since: 3.32

### ide_editor_surface_focus_buffer ()

    void
    ide_editor_surface_focus_buffer (IdeEditorSurface *self,
                                     IdeBuffer *buffer);

### ide_editor_surface_focus_buffer_in_current_stack ()

    void
    ide_editor_surface_focus_buffer_in_current_stack
                                   (IdeEditorSurface *self,
                                    IdeBuffer *buffer);

### ide_editor_surface_focus_location ()

    void
    ide_editor_surface_focus_location (IdeEditorSurface *self,
                                       IdeLocation *location);

### ide_editor_surface_get_active_page ()

    IdePage *
    ide_editor_surface_get_active_page (IdeEditorSurface *self);

Gets the active page for the surface, or `NULL` if there is not one.

#### Parameters

self | a IdeEditorSurface |

#### Returns

An IdePage or `NULL`.

[nullable][transfer none]

Since: 3.32

### ide_editor_surface_get_grid ()

    IdeGrid *
    ide_editor_surface_get_grid (IdeEditorSurface *self);

Gets the grid for the surface. This is the area containing grid columns, stacks, and pages.

#### Parameters

self | a IdeEditorSurface |

#### Returns

An IdeGrid.

[transfer none]

Since: 3.32

### ide_editor_surface_get_sidebar ()

    IdeEditorSidebar *
    ide_editor_surface_get_sidebar (IdeEditorSurface *self);

Gets the IdeEditorSidebar for the editor surface.

#### Parameters

self | a IdeEditorSurface |

#### Returns

an IdeEditorSidebar.

[transfer none]

Since: 3.32

### ide_editor_surface_get_transient_sidebar ()

    IdeTransientSidebar *
    ide_editor_surface_get_transient_sidebar
                                   (IdeEditorSurface *self);

Gets the transient sidebar for the editor surface.

The transient sidebar is a sidebar on the right side of the surface. It is displayed only when necessary. It animates in and out of page based on focus tracking and other heuristics.

#### Parameters

self | a IdeEditorSurface |

#### Returns

An IdeTransientSidebar.

[transfer none]

Since: 3.32

### ide_editor_surface_get_utilities ()

    GtkWidget *
    ide_editor_surface_get_utilities (IdeEditorSurface *self);

#### Returns

An IdeEditorUtilities.

[transfer none]

Since: 3.32

### ide_editor_surface_get_overlay ()

    GtkWidget *
    ide_editor_surface_get_overlay (IdeEditorSurface *self);

Gets the overlay widget which can be used to layer things above all items in the layout grid.

#### Parameters

self | a IdeEditorSurface |

#### Returns

a GtkWidget.

[transfer none][type Gtk.Overlay]

Since: 3.32

## Types and Values

### IDE_TYPE_EDITOR_SURFACE

    #define IDE_TYPE_EDITOR_SURFACE (ide_editor_surface_get_type())

### IdeEditorSurface

    typedef struct _IdeEditorSurface IdeEditorSurface;

## Property Details

### The `“restore-panel”` property

      “restore-panel”            gboolean

Owner: IdeEditorSurface

Flags: Read / Write / Construct

Default value: TRUE